<ng-container *ngIf="itemId$ | async as id else spinner">
  <ng-container *ngIf="item$ | async as element else spinner">
    <ng-container *ngIf="element.id == id else spinner">
      <div>
        <h2>{{element.title | myTitle : '>':'<'}}
          <small>{{element.id}}</small>
          <i [appCompleted]="element.completed"></i>
        </h2>
      </div>
      <h1>Form</h1>
      <form
        name="form" novalidate
          #myForm="ngForm" (ngSubmit)="onSubmit(myForm)">
        <div class="form-group">
          <label for="title">Title</label>
          <input type="text" id="title"
                 required
                 name="title"
                 [(ngModel)]="element.title"
                 #title="ngModel"
                 class="form-control">
        </div>
        <div class="form-check">
          <label>
            <input type="checkbox"
                   name="completed"
                   [(ngModel)]="element.completed"
                   #completed="ngModel"
            > Completed
          </label>
        </div>
        <div class="text-right" *ngIf="!myFormSubmitted else spinner">
          <button class="btn btn-success">Ok</button>
        </div>
      </form>
      <h1>Reactive form</h1>
      <form [formGroup]="myReactiveForm" (ngSubmit)="onSubmitReactive()">
        <div class="form-group">
          <label for="title2">Title</label>
          <input type="text" id="title2"
                 formControlName="title"
                 class="form-control">
        </div>
        <ng-container *ngIf="myReactiveForm.get('title') as title;">
          <div *ngIf="title.invalid && (title.dirty || title.touched)"
               class="alert alert-danger">
            <ng-container *ngFor="let error of title.errors | keyvalue">
                Title as {{error.key}} error.
            </ng-container>
          </div>
        </ng-container>

        <div class="form-check">
          <label>
            <input type="checkbox"
                   formControlName="completed"
            > Completed
          </label>
        </div>
        <div class="text-right" *ngIf="!myReactiveFormSubmitted else spinner">
          <button class="btn btn-success">Ok</button>
        </div>
      </form>



    </ng-container>
  </ng-container>
</ng-container>

<ng-template #spinner>
 <div class="text-center">
   <i class="fa fa-spin fa-circle-notch fa-3x"></i>
 </div>
</ng-template>
